#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: QuickCheck
version: 2.11.3
id: QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
key: QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
license: BSD-3-Clause
copyright: 2000-2017 Koen Claessen, 2006-2008 Björn Bringert, 2009-2017 Nick Smallbone
maintainer: Nick Smallbone <nick@smallbone.se>; see also QuickCheck mailing list (https://groups.google.com/forum/#!forum/haskell-quickcheck)
author: Koen Claessen <koen@chalmers.se>
homepage: https://github.com/nick8325/quickcheck
synopsis: Automatic testing of Haskell programs
description:
    QuickCheck is a library for random testing of program properties.
    .
    The programmer provides a specification of the program, in the form of
    properties which functions should satisfy, and QuickCheck then tests that the
    properties hold in a large number of randomly generated cases.
    .
    Specifications are expressed in Haskell, using combinators defined in the
    QuickCheck library. QuickCheck provides combinators to define properties,
    observe the distribution of test data, and define test data generators.
    .
    The <http://www.cse.chalmers.se/~rjmh/QuickCheck/manual.html official QuickCheck manual>
    explains how to write generators and properties;
    it is out-of-date in some details but still full of useful advice.
    .
    A user of QuickCheck has written an unofficial, but detailed, tutorial which
    you can find at
    <https://begriffs.com/posts/2017-01-14-design-use-quickcheck.html>.
category: Testing
abi: 329f1c9cae18d78e8febe9289607fdb9
exposed: True
exposed-modules:
    Test.QuickCheck Test.QuickCheck.All Test.QuickCheck.Arbitrary
    Test.QuickCheck.Exception Test.QuickCheck.Function
    Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
    Test.QuickCheck.Modifiers Test.QuickCheck.Monadic
    Test.QuickCheck.Poly Test.QuickCheck.Property
    Test.QuickCheck.Random Test.QuickCheck.State Test.QuickCheck.Test
    Test.QuickCheck.Text
import-dirs: /usr/lib/ghc-8.4.2/site-local/QuickCheck-2.11.3
library-dirs: /usr/lib/ghc-8.4.2/site-local/QuickCheck-2.11.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/QuickCheck-2.11.3
hs-libraries: HSQuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
depends:
    base-4.11.1.0 random-1.1-9LLJAJa4iQFLJiLXBOBXBV containers-0.5.11.0
    transformers-0.5.5.0 deepseq-1.4.3.0 template-haskell-2.13.0.0
    tf-random-0.5-BZa4jMFCdGCK8yjkzN18lQ
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             tf-random-0.5-BZa4jMFCdGCK8yjkzN18lQ=01092ec7f40b76e7945df68697021e2e
haddock-interfaces: /usr/share/doc/haskell-quickcheck/html/QuickCheck.haddock
haddock-html: /usr/share/doc/haskell-quickcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

